Class Index | File Index

## Classes

- _global_
- jQuery
- jQuery.rdf
- jQuery.rdf.blank
- jQuery.rdf.databank
- jQuery.rdf.literal
- jQuery.rdf.pattern
- jQuery.rdf.resource
- jQuery.rdf.rule
- jQuery.rdf.ruleset
- jQuery.rdf.triple
- jQuery.typedValue
- jQuery.uri

# Class jQuery.rdf.blank

Represents an RDF blank node.
Defined in: jquery.rdf.js.

Class Summary
Constructor Attributes | Constructor Name and Description
--- | ---
| jQuery.rdf.blank(value) Creates a new jQuery.rdf.blank object.

Field Summary
Field Attributes | Field Name and Description
--- | ---
| id The id of the blank node.
| type Always fixed to 'bnode' for blank nodes.
| value The value of the blank node in the format `_:id`

Method Summary
Method Attributes | Method Name and Description
--- | ---
| dump() Returns a RDF/JSON representation of this blank node.
| toString() Returns the value this blank node.

Class Detail
jQuery.rdf.blank(value)

Creates a new jQuery.rdf.blank object. This should be invoked as a method rather than constructed using new; indeed you will not usually want to generate these objects directly, since they are automatically created from strings where necessary, such as by jQuery.rdf#add.

    newBlank = $.rdf.blank('[]');

    identifiedBlank = $.rdf.blank('_:fred');

Parameters:
{String} value
  A representation of the blank node in the format `_:id` or `[]` (which automatically creates a new blank node with a unique ID).

Throws:
{String}
  Errors if the string is not in a recognised format.

Returns:
  {jQuery.rdf.blank} The newly-created blank node.

See:
  jQuery.rdf.pattern
  jQuery.rdf.triple
  jQuery.rdf.resource
  jQuery.rdf.literal

Field Detail
{String} id
The id of the blank node.

{String} type
Always fixed to 'bnode' for blank nodes.

{String} value
The value of the blank node in the format `_:id`
Method Detail
{Object} dump()
Returns a RDF/JSON representation of this blank node.

Returns:
  {Object}

{String} toString()
Returns the value this blank node.

Returns:
  {String}

Documentation generated by JsDoc Toolkit 2.4.0 on Fri Feb 04 2011 16:40:10 GMT+0100 (MEZ)